
QGIS Application - Bug report #1816

GRASS color tables not applied correctly

2009-07-29 03:03 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11876

Description

I'm following:

http://trac.osgeo.org/grass/wiki/HowToTestGrass6

All fine, but for the fact that the calculated ndvi map appears on grey

scale, and applying the ndvi color table does not change it.

/usr/lib/grass64/etc/colors/ndvi seems ok:

-1.000   5  24  82

-0.300   5  24  82

-0.180 255 255 255

 0.000 255 255 255

 0.025 206 197 180

 0.075 191 163 124

 0.125 179 174  96

 0.150 163 181  80

 0.175 144 170  60

 0.233 166 195  29

 0.266 135 183   3

 0.333 121 175   1

 0.366 101 163   0

 0.433  78 151   0

 0.466  43 132   4

 0.550   0 114   0

 0.650   0  90   1

 0.750   0  73   0

 0.850   0  56   0

 0.950   0  31   0

 1.000   0   0   0

And in fact in GRASS the same layer is shown correctly.

This has been tested by at least three people, in different Linux distros.

I get these warnings:

Warning: QPainter::setPen: Painter not active

Warning: QPainter::setFont: Painter not active

Warning: QPainter::end: Painter not active, aborted

Warning: QPixmap::scaled: Pixmap is a null pixmap

Warning: Object::connect: No such signal

[[QgsRasterLayer]]::editingStarted() in

/storage/build/qgis_unstable/src/app/legend/qgslegend.cpp:548
Warning: Object::connect: No such signal

[[QgsRasterLayer]]::editingStopped() in

/storage/build/qgis_unstable/src/app/legend/qgslegend.cpp:549

But I do not know if they are relevant.

History

#1 - 2009-09-08 04:05 AM - Paolo Cavallini

See also the thread:

http://lists.osgeo.org/pipermail/grass-user/2009-September/052171.html

#2 - 2009-11-02 04:54 AM - Paolo Cavallini

Apparently also other color tables do not show correctly, eg CORINE

#3 - 2010-02-04 02:20 PM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed

This should be fixed by new GRASS raster provider in commit:728ecc69 (SVN r12881) , GRASS color tables are using directly, it should render exactly

like in GRASS.
